libvisio::VSDOptionalLineStyle Struct Reference documentation

libvisio::VSDOptionalLineStyle Struct Reference

`#include <VSDStyles.h>`

## Public Member Functions
| VSDOptionalLineStyle ()
| VSDOptionalLineStyle (const std::optional< double > &w, const std::optional< Colour > &col, const std::optional< unsigned char > &p, const std::optional< unsigned char > &sm, const std::optional< unsigned char > &em, const std::optional< unsigned char > &c, const std::optional< double > &r, const std::optional< long > &qlc, const std::optional< long > &qlm)
| VSDOptionalLineStyle (const VSDOptionalLineStyle &style)=default
| ~VSDOptionalLineStyle ()
VSDOptionalLineStyle & | operator= (const VSDOptionalLineStyle &style)=default
void | override (const VSDOptionalLineStyle &style)

## Public Attributes
std::optional< double > | width
std::optional< Colour > | colour
std::optional< unsigned char > | pattern
std::optional< unsigned char > | startMarker
std::optional< unsigned char > | endMarker
std::optional< unsigned char > | cap
std::optional< double > | rounding
std::optional< long > | qsLineColour
std::optional< long > | qsLineMatrix

## Constructor & Destructor Documentation

## ◆ VSDOptionalLineStyle() [1/3]

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( |  | ) |
| inline

Referenced by operator=(), override(), and VSDOptionalLineStyle().

## ◆ VSDOptionalLineStyle() [2/3]

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( | const std::optional< double > & | w,
|  | const std::optional< Colour > & | col,
|  | const std::optional< unsigned char > & | p,
|  | const std::optional< unsigned char > & | sm,
|  | const std::optional< unsigned char > & | em,
|  | const std::optional< unsigned char > & | c,
|  | const std::optional< double > & | r,
|  | const std::optional< long > & | qlc,
|  | const std::optional< long > & | qlm )
| inline

## ◆ VSDOptionalLineStyle() [3/3]

libvisio::VSDOptionalLineStyle::VSDOptionalLineStyle | ( | const VSDOptionalLineStyle & | style | ) |
| default

## ◆ ~VSDOptionalLineStyle()

libvisio::VSDOptionalLineStyle::~VSDOptionalLineStyle | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

VSDOptionalLineStyle & libvisio::VSDOptionalLineStyle::operator= | ( | const VSDOptionalLineStyle & | style | ) |
| default

## ◆ override()

void libvisio::VSDOptionalLineStyle::override | ( | const VSDOptionalLineStyle & | style | ) |
| inline

## Member Data Documentation

## ◆ cap

std::optional<unsigned char> libvisio::VSDOptionalLineStyle::cap

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ colour

std::optional<Colour> libvisio::VSDOptionalLineStyle::colour

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ endMarker

std::optional<unsigned char> libvisio::VSDOptionalLineStyle::endMarker

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ pattern

std::optional<unsigned char> libvisio::VSDOptionalLineStyle::pattern

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ qsLineColour

std::optional<long> libvisio::VSDOptionalLineStyle::qsLineColour

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ qsLineMatrix

std::optional<long> libvisio::VSDOptionalLineStyle::qsLineMatrix

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ rounding

std::optional<double> libvisio::VSDOptionalLineStyle::rounding

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ startMarker

std::optional<unsigned char> libvisio::VSDOptionalLineStyle::startMarker

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

## ◆ width

std::optional<double> libvisio::VSDOptionalLineStyle::width

Referenced by override(), VSDOptionalLineStyle(), and VSDOptionalLineStyle().

The documentation for this struct was generated from the following file:

- VSDStyles.h